body {
    height: 100vh;
    background: #111;
    display: flex;
    justify-content: center;
    align-items: center;
}

a {
    text-decoration: none;
    color: #FFF;
    font-family: roboto;
    font-size: 40px;
    border: 1px solid #5500FF;
    font-weight: bold;
    letter-spacing: 0;
    padding: 10px 40px;
    position: relative;
    overflow: hidden;
    border-radius: 1px;
    transition: all 0.3s;
}

a::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #5500FF;
    z-index: -1;
    transition: all 0.3s;
    transform: scale(0) rotate(0);
}

a:hover::before{
    transform: scale(1) rotate(180deg);
}